Market Data Layer API (Production)
Get a data by marketId
Returns the data identified by marketId.
get
https://api.argaam.com/api/v1.1/sectors/data/{marketId}
Query Parameters
sectorIdinteger(int32)
Numeric sector identifier. Use the sector endpoints to list valid values.
Path Parameters
marketIdinteger(int32)required
Numeric market identifier (e.g. 1 = Tadawul / Saudi main market). Use GET /api/v1.1/markets to list valid values.
Example:3
Response
200 application/json
Response
200 application/json
Success
* Additional properties are NOT allowed.
marketIDinteger(int32)
sectorIDinteger(int32)
bidstring | null
tradingDatestring | null
openValuenumber | null(double)
closeValuenumber | null(double)
highnumber | null(double)
lownumber | null(double)
changenumber | null(double)
volumenumber | null(double)
amountnumber | null(double)
percentageChangenumber | null(double)
get/api/v1.1/sectors/data/{marketId}
Authentication
Path Parameters
Query Parameters
200 application/json
Get historical series for a data
Returns the historical series for the data identified by marketId.
Bound the result with the from and to date parameters.
get
https://api.argaam.com/api/v1.1/sectors/data/{marketId}/history
Query Parameters
sectorIdinteger(int32)
Numeric sector identifier. Use the sector endpoints to list valid values.
fromstring
Start of the date range, inclusive. Format YYYY-MM-DD.
Example:2024-01-01
tostring
End of the date range, inclusive. Format YYYY-MM-DD.
Example:2024-03-31
Path Parameters
marketIdinteger(int32)required
Numeric market identifier (e.g. 1 = Tadawul / Saudi main market). Use GET /api/v1.1/markets to list valid values.
Example:3
Response
200 application/json
Response
200 application/json
Success
* Additional properties are NOT allowed.
marketIDinteger(int32)
sectorIDinteger(int32)
bidstring | null
tradingDatestring | null
openValuenumber | null(double)
closeValuenumber | null(double)
highnumber | null(double)
lownumber | null(double)
volumenumber | null(double)
get/api/v1.1/sectors/data/{marketId}/history
Authentication
Path Parameters
Query Parameters
200 application/json
MarketSector
object * Additional properties are NOT allowed.
marketIDinteger(int32)
sectorIDinteger(int32)
bidstring
sectorNameArstring
sectorNameEnstring
Example
SectorData
object * Additional properties are NOT allowed.
marketIDinteger(int32)
sectorIDinteger(int32)
bidstring
tradingDatestring
openValuenumber(double)
closeValuenumber(double)
highnumber(double)
lownumber(double)
changenumber(double)
volumenumber(double)
amountnumber(double)
percentageChangenumber(double)
Example
SectorDataArchive
object * Additional properties are NOT allowed.
marketIDinteger(int32)
sectorIDinteger(int32)
bidstring
tradingDatestring
openValuenumber(double)
closeValuenumber(double)
highnumber(double)
lownumber(double)
volumenumber(double)
Example